Gentoo Archives: gentoo-user

From: Martin Vaeth <martin@×××××.de>
To: gentoo-user@l.g.o
Subject: [gentoo-user] Re: And so the emerge spake: Let there be conflicts...and see, everything was chaos and sin...
Date: Sun, 26 Apr 2015 06:49:30
Message-Id: mhi1p5$vfb$1@ger.gmane.org
In Reply to: [gentoo-user] And so the emerge spake: Let there be conflicts...and see, everything was chaos and sin... by Meino.Cramer@gmx.de
1 Meino.Cramer@×××.de <Meino.Cramer@×××.de> wrote:
2 > A novice asks the master Emerge:
3 > "Is there Zen also in every upgrade, which will serve to Gentoo?"
4
5 Did the novice ask the correct question about the life, the world,
6 and everything? Your mantra should be
7 emerge -NaDu @world
8 (--with-bdeps=y in EMERGE_DEFAULT_OPTS in /etc/portage/make.conf)
9
10 I am asking, because it seems that the novice's question did
11 not contain the question/permission about upgrading xorg-server:
12
13 >: required by (x11-base/xorg-server-1.12.4-r4:0/1.12.4::gentoo
14
15 If the question was correct, the master means:
16 "Thou shalt not use ancient xorg-server or thou shalt be doomed."
17
18 Have you masked newer xorg-server or are you using drivers which
19 require this like e.g. ancient (now masked in portage)
20 nvidia legacy drivers?
21 In the latter case you are doomed...
22 I also had to throw out recently an nvidia card because of this.
23 Of course, this is what nvidia wants you to force to.
24 This is why my new machine does not have an nvidia card anymore.

Replies